OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapNodeOfDataMapOfStyleShape Class Reference

`#include <XCAFPrs_DataMapNodeOfDataMapOfStyleShape.hxx>`

## Public Member Functions
| XCAFPrs_DataMapNodeOfDataMapOfStyleShape (const XCAFPrs_Style &K, const TopoDS_Shape &I, const TCollection_MapNodePtr &n)
XCAFPrs_Style & | Key () const
TopoDS_Shape & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
XCAFPrs_Style | myKey
TopoDS_Shape | myValue

## Constructor & Destructor Documentation

XCAFPrs_DataMapNodeOfDataMapOfStyleShape::XCAFPrs_DataMapNodeOfDataMapOfStyleShape | ( | const XCAFPrs_Style & | K,
|  | const TopoDS_Shape & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const XCAFPrs_DataMapNodeOfDataMapOfStyleShape::Handle | ( | Standard_Type |  | ) | const

XCAFPrs_Style& XCAFPrs_DataMapNodeOfDataMapOfStyleShape::Key | ( |  | ) | const

TopoDS_Shape& XCAFPrs_DataMapNodeOfDataMapOfStyleShape::Value | ( |  | ) | const

## Field Documentation

XCAFPrs_Style XCAFPrs_DataMapNodeOfDataMapOfStyleShape::myKey`[private]`

TopoDS_Shape XCAFPrs_DataMapNodeOfDataMapOfStyleShape::myValue`[private]`

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapNodeOfDataMapOfStyleShape.hxx